View Issue Details

IDProjectCategoryView StatusLast Update
0001708XdebugStep Debuggingpublic2019-12-08 07:34
ReporterSvetlanaZem Assigned Toderick  
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version2.8.0beta2 
Target Version2.8.0devFixed in Version2.8.0 
Summary0001708: Xdebug crashes on evaluating object with properties
Description1) Create a file
```
<?php

class Bar {
    public $baz = 0;
}

$a = new Bar();
echo "!"; // put breakpoint here
```

2) Start debug session and stop on the breakpoint.
3) Try to evaluate `$a`
-> Xdebug crashes.
Additional InformationThe issue isn't reproducible on Xdebug 2.8.0alpha1 but it still exists on the latest Xdebug sources, i.e. master branch with the latest commit = https://github.com/xdebug/xdebug/commit/c2724895b1ce7e8a6a05af15136068602f81c8b9
Tagscrash, PHPStorm
Operating System
PHP Version7.3.5-7.3.9

Relationships

has duplicate 0001707 resolvedderick Symfony server crashes on click during debug session 

Activities

SvetlanaZem

2019-10-01 21:41

reporter  

xdebug-2.8beta2.log (30,298 bytes)   
[11934] Log opened at 2019-10-01 21:37:05
[11934] I: Connecting to configured address/port: 127.0.0.1:9000.
[11934] I: Connected to client. :-)
[11934] -> <init xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" fileuri="file:///home/svetazem/PhpstormProjects/test_project/debugger/test.php" language="PHP" xdebug:language_version="7.3.9" protocol_version="1.0" appid="11934" idekey="11720"><engine version="2.8.0beta2"><![CDATA[Xdebug]]></engine><author><![CDATA[Derick Rethans]]></author><url><![CDATA[https://xdebug.org]]></url><copyright><![CDATA[Copyright (c) 2002-2019 by Derick Rethans]]></copyright></init>

[11934] <- feature_set -i 1 -n show_hidden -v 1
[11934] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="1" feature="show_hidden" success="1"></response>

[11934] <- feature_set -i 2 -n max_depth -v 1
[11934] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="2" feature="max_depth" success="1"></response>

[11934] <- feature_set -i 3 -n max_children -v 100
[11934] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="3" feature="max_children" success="1"></response>

[11934] <- feature_set -i 4 -n extended_properties -v 1
[11934] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="4" feature="extended_properties" success="1"></response>

[11934] <- feature_set -i 5 -n resolved_breakpoints -v 1
[11934] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="5" feature="resolved_breakpoints" success="1"></response>

[11934] <- status -i 6
[11934] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="status" transaction_id="6" status="starting" reason="ok"></response>

[11934] <- step_into -i 7
[11934] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="step_into" transaction_id="7" status="break" reason="ok"><xdebug:message filename="file:///home/svetazem/PhpstormProjects/test_project/debugger/test.php" lineno="3"></xdebug:message></response>

[11934] <- breakpoint_set -i 8 -t line -f file:///home/svetazem/PhpstormProjects/test_project/debugger/test.php -n 8
[11934] -> <notify xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" name="breakpoint_resolved"><breakpoint type="line" resolved="resolved" filename="file:///home/svetazem/PhpstormProjects/test_project/debugger/test.php" lineno="8" state="enabled" hit_count="0" hit_value="0" id="119340001"></breakpoint></notify>

[11934] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="8" id="119340001" resolved="resolved"></response>

[11934] <- stack_get -i 9
[11934] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="9"><stack where="{main}" level="0" type="file" filename="file:///home/svetazem/PhpstormProjects/test_project/debugger/test.php" lineno="3"></stack></response>

[11934] <- run -i 10
[11934] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="run" transaction_id="10" status="break" reason="ok"><xdebug:message filename="file:///home/svetazem/PhpstormProjects/test_project/debugger/test.php" lineno="8"></xdebug:message></response>

[11934] <- stack_get -i 11
[11934] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="11"><stack where="{main}" level="0" type="file" filename="file:///home/svetazem/PhpstormProjects/test_project/debugger/test.php" lineno="8"></stack></response>

[11934] <- context_names -i 12
[11934] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_names" transaction_id="12"><context name="Locals" id="0"></context><context name="Superglobals" id="1"></context><context name="User defined constants" id="2"></context></response>

[11934] <- context_get -i 13 -d 0 -c 0
[11934] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="13" context="0"><property name="$a" fullname="$a" type="object" classname="Bar" children="1" numchildren="1" page="0" pagesize="100"><property name="baz" fullname="$a-&gt;baz" facet="public" type="int"><![CDATA[0]]></property></property></response>

[11934] <- context_get -i 14 -d 0 -c 1
[11934] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="14" context="1"><property name="$_COOKIE" fullname="$_COOKIE" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_ENV" fullname="$_ENV" type="array" children="1" numchildren="62" page="0" pagesize="100"><property name="PATH" fullname="$_ENV[&quot;PATH&quot;]" type="string" size="98" encoding="base64"><![CDATA[L3Vzci9sb2NhbC9zYmluOi91c3IvbG9jYWwvYmluOi91c3Ivc2JpbjovdXNyL2Jpbjovc2JpbjovYmluOi91c3IvZ2FtZXM6L3Vzci9sb2NhbC9nYW1lczovc25hcC9iaW4=]]></property><property name="XAUTHORITY" fullname="$_ENV[&quot;XAUTHORITY&quot;]" type="string" size="29" encoding="base64"><![CDATA[L3J1bi91c2VyLzEwMDAvZ2RtL1hhdXRob3JpdHk=]]></property><property name="LC_MEASUREMENT" fullname="$_ENV[&quot;LC_MEASUREMENT&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZGVfREUuVVRGLTg=]]></property><property name="LC_TELEPHONE" fullname="$_ENV[&quot;LC_TELEPHONE&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZGVfREUuVVRGLTg=]]></property><property name="XMODIFIERS" fullname="$_ENV[&quot;XMODIFIERS&quot;]" type="string" size="8" encoding="base64"><![CDATA[QGltPWlidXM=]]></property><property name="GDMSESSION" fullname="$_ENV[&quot;GDMSESSION&quot;]" type="string" size="6" encoding="base64"><![CDATA[dWJ1bnR1]]></property><property name="XDG_DATA_DIRS" fullname="$_ENV[&quot;XDG_DATA_DIRS&quot;]" type="string" size="68" encoding="base64"><![CDATA[L3Vzci9zaGFyZS91YnVudHU6L3Vzci9sb2NhbC9zaGFyZTovdXNyL3NoYXJlOi92YXIvbGliL3NuYXBkL2Rlc2t0b3A=]]></property><property name="LC_TIME" fullname="$_ENV[&quot;LC_TIME&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZGVfREUuVVRGLTg=]]></property><property name="TEXTDOMAINDIR" fullname="$_ENV[&quot;TEXTDOMAINDIR&quot;]" type="string" size="18" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9sb2NhbGUv]]></property><property name="GTK_IM_MODULE" fullname="$_ENV[&quot;GTK_IM_MODULE&quot;]" type="string" size="4" encoding="base64"><![CDATA[aWJ1cw==]]></property><property name="DBUS_SESSION_BUS_ADDRESS" fullname="$_ENV[&quot;DBUS_SESSION_BUS_ADDRESS&quot;]" type="string" size="28" encoding="base64"><![CDATA[dW5peDpwYXRoPS9ydW4vdXNlci8xMDAwL2J1cw==]]></property><property name="XDG_CURRENT_DESKTOP" fullname="$_ENV[&quot;XDG_CURRENT_DESKTOP&quot;]" type="string" size="12" encoding="base64"><![CDATA[dWJ1bnR1OkdOT01F]]></property><property name="SSH_AGENT_PID" fullname="$_ENV[&quot;SSH_AGENT_PID&quot;]" type="string" size="4" encoding="base64"><![CDATA[MTUzMw==]]></property><property name="DESKTOP_AUTOSTART_ID" fullname="$_ENV[&quot;DESKTOP_AUTOSTART_ID&quot;]" type="string" size="48" encoding="base64"><![CDATA[MTBkMWNkYjExMTU4M2FmYjMxMTU2Njk5ODQyOTQ1NzkzMTAwMDAwMDE0MzgwMDA3]]></property><property name="COLORTERM" fullname="$_ENV[&quot;COLORTERM&quot;]" type="string" size="9" encoding="base64"><![CDATA[dHJ1ZWNvbG9y]]></property><property name="QT4_IM_MODULE" fullname="$_ENV[&quot;QT4_IM_MODULE&quot;]" type="string" size="3" encoding="base64"><![CDATA[eGlt]]></property><property name="USERNAME" fullname="$_ENV[&quot;USERNAME&quot;]" type="string" size="8" encoding="base64"><![CDATA[c3ZldGF6ZW0=]]></property><property name="SESSION_MANAGER" fullname="$_ENV[&quot;SESSION_MANAGER&quot;]" type="string" size="79" encoding="base64"><![CDATA[bG9jYWwvVGhpbmtQYWQtWDIzMDpAL3RtcC8uSUNFLXVuaXgvMTQzOCx1bml4L1RoaW5rUGFkLVgyMzA6L3RtcC8uSUNFLXVuaXgvMTQzOA==]]></property><property name="LC_PAPER" fullname="$_ENV[&quot;LC_PAPER&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZGVfREUuVVRGLTg=]]></property><property name="LOGNAME" fullname="$_ENV[&quot;LOGNAME&quot;]" type="string" size="8" encoding="base64"><![CDATA[c3ZldGF6ZW0=]]></property><property name="XDEBUG_CONFIG" fullname="$_ENV[&quot;XDEBUG_CONFIG&quot;]" type="string" size="12" encoding="base64"><![CDATA[aWRla2V5PTExNzIw]]></property><property name="PWD" fullname="$_ENV[&quot;PWD&quot;]" type="string" size="53" encoding="base64"><![CDATA[L2hvbWUvc3ZldGF6ZW0vUGhwc3Rvcm1Qcm9qZWN0cy90ZXN0X3Byb2plY3QvZGVidWdnZXI=]]></property><property name="IM_CONFIG_PHASE" fullname="$_ENV[&quot;IM_CONFIG_PHASE&quot;]" type="string" size="1" encoding="base64"><![CDATA[Mg==]]></property><property name="LESSOPEN" fullname="$_ENV[&quot;LESSOPEN&quot;]" type="string" size="22" encoding="base64"><![CDATA[fCAvdXNyL2Jpbi9sZXNzcGlwZSAlcw==]]></property><property name="SHELL" fullname="$_ENV[&quot;SHELL&quot;]" type="string" size="9" encoding="base64"><![CDATA[L2Jpbi9iYXNo]]></property><property name="LC_ADDRESS" fullname="$_ENV[&quot;LC_ADDRESS&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZGVfREUuVVRGLTg=]]></property><property name="OLDPWD" fullname="$_ENV[&quot;OLDPWD&quot;]" type="string" size="42" encoding="base64"><![CDATA[L2hvbWUvc3ZldGF6ZW0vaWRlL2lkZWEtSVUtMTkzLjM3OTMuMTQvYmlu]]></property><property name="GNOME_DESKTOP_SESSION_ID" fullname="$_ENV[&quot;GNOME_DESKTOP_SESSION_ID&quot;]" type="string" size="18" encoding="base64"><![CDATA[dGhpcy1pcy1kZXByZWNhdGVk]]></property><property name="GTK_MODULES" fullname="$_ENV[&quot;GTK_MODULES&quot;]" type="string" size="15" encoding="base64"><![CDATA[Z2FpbDphdGstYnJpZGdl]]></property><property name="GNOME_TERMINAL_SCREEN" fullname="$_ENV[&quot;GNOME_TERMINAL_SCREEN&quot;]" type="string" size="63" encoding="base64"><![CDATA[L29yZy9nbm9tZS9UZXJtaW5hbC9zY3JlZW4vYjc3NzA4NDdfYTI4Zl80NmE2XzlmYTBfZDM5YTMwMTU3NTYz]]></property><property name="CLUTTER_IM_MODULE" fullname="$_ENV[&quot;CLUTTER_IM_MODULE&quot;]" type="string" size="3" encoding="base64"><![CDATA[eGlt]]></property><property name="TEXTDOMAIN" fullname="$_ENV[&quot;TEXTDOMAIN&quot;]" type="string" size="9" encoding="base64"><![CDATA[aW0tY29uZmln]]></property><property name="LS_COLORS" fullname="$_ENV[&quot;LS_COLORS&quot;]" type="string" size="1505" encoding="base64"><![CDATA[cnM9MDpkaT0wMTszNDpsbj0wMTszNjptaD0wMDpwaT00MDszMzpzbz0wMTszNTpkbz0wMTszNTpiZD00MDszMzswMTpjZD00MDszMzswMTpvcj00MDszMTswMTptaT0wMDpzdT0zNzs0MTpzZz0zMDs0MzpjYT0zMDs0MTp0dz0zMDs0Mjpvdz0zNDs0MjpzdD0zNzs0NDpleD0wMTszMjoqLnRhcj0wMTszMToqLnRnej0wMTszMToqLmFyYz0wMTszMToqLmFyaj0wMTszMToqLnRhej0wMTszMToqLmxoYT0wMTszMToqLmx6ND0wMTszMToqLmx6aD0wMTszMToqLmx6bWE9MDE7MzE6Ki50bHo9MDE7MzE6Ki50eHo9MDE7MzE6Ki50em89MDE7MzE6Ki50N3o9MDE7MzE6Ki56aXA9MDE7MzE6Ki56PTAxOzMxOiouWj0wMTszMToqLmR6PTAxOzMxOiouZ3o9MDE7MzE6Ki5scno9MDE7MzE6Ki5sej0wMTszMToqLmx6bz0wMTszMToqLnh6PTAxOzMxOiouenN0PTAxOzMxOioudHpzdD0wMTszMToqLmJ6Mj0wMTszMToqLmJ6PTAxOzMxOioudGJ6PTAxOzMxOioudGJ6Mj0wMTszMToqLnR6PTAxOzMxOiouZGViPTAxOzMxOioucnBtPTAxOzMxOiouamFyPTAxOzMxOioud2FyPTAxOzMxOiouZWFyPTAxOzMxOiouc2FyPTAxOzMxOioucmFyPTAxOzMxOiouYWx6PTAxOzMxOiouYWNlPTAxOzMxOiouem9vPTAxOzMxOiouY3Bpbz0wMTszMToqLjd6PTAxOzMxOioucno9MDE7MzE6Ki5jYWI9MDE7MzE6Ki53aW09MDE7MzE6Ki5zd209MDE7MzE6Ki5kd209MDE7MzE6Ki5lc2Q9MDE7MzE6Ki5qcGc9MDE7MzU6Ki5qcGVnPTAxOzM1OioubWpwZz0wMTszNToqLm1qcGVnPTAxOzM1OiouZ2lmPTAxOzM1OiouYm1wPTAxOzM1OioucGJtPTAxOzM1OioucGdtPTAxOzM1OioucHBtPTAxOzM1OioudGdhPTAxOzM1OioueGJtPTAxOzM1OioueHBtPTAxOzM1OioudGlmPTAxOzM1OioudGlmZj0wMTszNToqLnBuZz0wMTszNToqLnN2Zz0wMTszNToqLnN2Z3o9MDE7MzU6Ki5tbmc9MDE7MzU6Ki5wY3g9MDE7MzU6Ki5tb3Y9MDE7MzU6Ki5tcGc9MDE7MzU6Ki5tcGVnPTAxOzM1OioubTJ2PTAxOzM1OioubWt2PTAxOzM1Oioud2VibT0wMTszNQ==]]></property><property name="XDG_SESSION_DESKTOP" fullname="$_ENV[&quot;XDG_SESSION_DESKTOP&quot;]" type="string" size="6" encoding="base64"><![CDATA[dWJ1bnR1]]></property><property name="SHLVL" fullname="$_ENV[&quot;SHLVL&quot;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="LC_IDENTIFICATION" fullname="$_ENV[&quot;LC_IDENTIFICATION&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZGVfREUuVVRGLTg=]]></property><property name="LC_MONETARY" fullname="$_ENV[&quot;LC_MONETARY&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZGVfREUuVVRGLTg=]]></property><property name="LESSCLOSE" fullname="$_ENV[&quot;LESSCLOSE&quot;]" type="string" size="23" encoding="base64"><![CDATA[L3Vzci9iaW4vbGVzc3BpcGUgJXMgJXM=]]></property><property name="QT_IM_MODULE" fullname="$_ENV[&quot;QT_IM_MODULE&quot;]" type="string" size="3" encoding="base64"><![CDATA[eGlt]]></property><property name="TERM" fullname="$_ENV[&quot;TERM&quot;]" type="string" size="14" encoding="base64"><![CDATA[eHRlcm0tMjU2Y29sb3I=]]></property><property name="GNOME_TERMINAL_SERVICE" fullname="$_ENV[&quot;GNOME_TERMINAL_SERVICE&quot;]" type="string" size="5" encoding="base64"><![CDATA[OjEuNzE=]]></property><property name="XDG_CONFIG_DIRS" fullname="$_ENV[&quot;XDG_CONFIG_DIRS&quot;]" type="string" size="28" encoding="base64"><![CDATA[L2V0Yy94ZGcveGRnLXVidW50dTovZXRjL3hkZw==]]></property><property name="LANG" fullname="$_ENV[&quot;LANG&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="XDG_SESSION_TYPE" fullname="$_ENV[&quot;XDG_SESSION_TYPE&quot;]" type="string" size="3" encoding="base64"><![CDATA[eDEx]]></property><property name="XDG_SESSION_ID" fullname="$_ENV[&quot;XDG_SESSION_ID&quot;]" type="string" size="1" encoding="base64"><![CDATA[Mg==]]></property><property name="DISPLAY" fullname="$_ENV[&quot;DISPLAY&quot;]" type="string" size="2" encoding="base64"><![CDATA[OjA=]]></property><property name="LC_NAME" fullname="$_ENV[&quot;LC_NAME&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZGVfREUuVVRGLTg=]]></property><property name="_" fullname="$_ENV[&quot;_&quot;]" type="string" size="9" encoding="base64"><![CDATA[Li9pZGVhLnNo]]></property><property name="DESKTOP_SESSION" fullname="$_ENV[&quot;DESKTOP_SESSION&quot;]" type="string" size="6" encoding="base64"><![CDATA[dWJ1bnR1]]></property><property name="GPG_AGENT_INFO" fullname="$_ENV[&quot;GPG_AGENT_INFO&quot;]" type="string" size="36" encoding="base64"><![CDATA[L3J1bi91c2VyLzEwMDAvZ251cGcvUy5ncGctYWdlbnQ6MDox]]></property><property name="USER" fullname="$_ENV[&quot;USER&quot;]" type="string" size="8" encoding="base64"><![CDATA[c3ZldGF6ZW0=]]></property><property name="XDG_MENU_PREFIX" fullname="$_ENV[&quot;XDG_MENU_PREFIX&quot;]" type="string" size="6" encoding="base64"><![CDATA[Z25vbWUt]]></property><property name="WINDOWPATH" fullname="$_ENV[&quot;WINDOWPATH&quot;]" type="string" size="1" encoding="base64"><![CDATA[Mg==]]></property><property name="QT_ACCESSIBILITY" fullname="$_ENV[&quot;QT_ACCESSIBILITY&quot;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="VTE_VERSION" fullname="$_ENV[&quot;VTE_VERSION&quot;]" type="string" size="4" encoding="base64"><![CDATA[NTIwMg==]]></property><property name="LC_NUMERIC" fullname="$_ENV[&quot;LC_NUMERIC&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZGVfREUuVVRGLTg=]]></property><property name="XDG_SEAT" fullname="$_ENV[&quot;XDG_SEAT&quot;]" type="string" size="5" encoding="base64"><![CDATA[c2VhdDA=]]></property><property name="SSH_AUTH_SOCK" fullname="$_ENV[&quot;SSH_AUTH_SOCK&quot;]" type="string" size="26" encoding="base64"><![CDATA[L3J1bi91c2VyLzEwMDAva2V5cmluZy9zc2g=]]></property><property name="GNOME_SHELL_SESSION_MODE" fullname="$_ENV[&quot;GNOME_SHELL_SESSION_MODE&quot;]" type="string" size="6" encoding="base64"><![CDATA[dWJ1bnR1]]></property><property name="XDG_RUNTIME_DIR" fullname="$_ENV[&quot;XDG_RUNTIME_DIR&quot;]" type="string" size="14" encoding="base64"><![CDATA[L3J1bi91c2VyLzEwMDA=]]></property><property name="XDG_VTNR" fullname="$_ENV[&quot;XDG_VTNR&quot;]" type="string" size="1" encoding="base64"><![CDATA[Mg==]]></property><property name="HOME" fullname="$_ENV[&quot;HOME&quot;]" type="string" size="14" encoding="base64"><![CDATA[L2hvbWUvc3ZldGF6ZW0=]]></property></property><property name="$_FILES" fullname="$_FILES" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_GET" fullname="$_GET" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_POST" fullname="$_POST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_REQUEST" fullname="$_REQUEST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_SERVER" fullname="$_SERVER" type="array" children="1" numchildren="71" page="0" pagesize="100"><property name="PATH" fullname="$_SERVER[&quot;PATH&quot;]" type="string" size="98" encoding="base64"><![CDATA[L3Vzci9sb2NhbC9zYmluOi91c3IvbG9jYWwvYmluOi91c3Ivc2JpbjovdXNyL2Jpbjovc2JpbjovYmluOi91c3IvZ2FtZXM6L3Vzci9sb2NhbC9nYW1lczovc25hcC9iaW4=]]></property><property name="XAUTHORITY" fullname="$_SERVER[&quot;XAUTHORITY&quot;]" type="string" size="29" encoding="base64"><![CDATA[L3J1bi91c2VyLzEwMDAvZ2RtL1hhdXRob3JpdHk=]]></property><property name="LC_MEASUREMENT" fullname="$_SERVER[&quot;LC_MEASUREMENT&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZGVfREUuVVRGLTg=]]></property><property name="LC_TELEPHONE" fullname="$_SERVER[&quot;LC_TELEPHONE&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZGVfREUuVVRGLTg=]]></property><property name="XMODIFIERS" fullname="$_SERVER[&quot;XMODIFIERS&quot;]" type="string" size="8" encoding="base64"><![CDATA[QGltPWlidXM=]]></property><property name="GDMSESSION" fullname="$_SERVER[&quot;GDMSESSION&quot;]" type="string" size="6" encoding="base64"><![CDATA[dWJ1bnR1]]></property><property name="XDG_DATA_DIRS" fullname="$_SERVER[&quot;XDG_DATA_DIRS&quot;]" type="string" size="68" encoding="base64"><![CDATA[L3Vzci9zaGFyZS91YnVudHU6L3Vzci9sb2NhbC9zaGFyZTovdXNyL3NoYXJlOi92YXIvbGliL3NuYXBkL2Rlc2t0b3A=]]></property><property name="LC_TIME" fullname="$_SERVER[&quot;LC_TIME&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZGVfREUuVVRGLTg=]]></property><property name="TEXTDOMAINDIR" fullname="$_SERVER[&quot;TEXTDOMAINDIR&quot;]" type="string" size="18" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9sb2NhbGUv]]></property><property name="GTK_IM_MODULE" fullname="$_SERVER[&quot;GTK_IM_MODULE&quot;]" type="string" size="4" encoding="base64"><![CDATA[aWJ1cw==]]></property><property name="DBUS_SESSION_BUS_ADDRESS" fullname="$_SERVER[&quot;DBUS_SESSION_BUS_ADDRESS&quot;]" type="string" size="28" encoding="base64"><![CDATA[dW5peDpwYXRoPS9ydW4vdXNlci8xMDAwL2J1cw==]]></property><property name="XDG_CURRENT_DESKTOP" fullname="$_SERVER[&quot;XDG_CURRENT_DESKTOP&quot;]" type="string" size="12" encoding="base64"><![CDATA[dWJ1bnR1OkdOT01F]]></property><property name="SSH_AGENT_PID" fullname="$_SERVER[&quot;SSH_AGENT_PID&quot;]" type="string" size="4" encoding="base64"><![CDATA[MTUzMw==]]></property><property name="DESKTOP_AUTOSTART_ID" fullname="$_SERVER[&quot;DESKTOP_AUTOSTART_ID&quot;]" type="string" size="48" encoding="base64"><![CDATA[MTBkMWNkYjExMTU4M2FmYjMxMTU2Njk5ODQyOTQ1NzkzMTAwMDAwMDE0MzgwMDA3]]></property><property name="COLORTERM" fullname="$_SERVER[&quot;COLORTERM&quot;]" type="string" size="9" encoding="base64"><![CDATA[dHJ1ZWNvbG9y]]></property><property name="QT4_IM_MODULE" fullname="$_SERVER[&quot;QT4_IM_MODULE&quot;]" type="string" size="3" encoding="base64"><![CDATA[eGlt]]></property><property name="USERNAME" fullname="$_SERVER[&quot;USERNAME&quot;]" type="string" size="8" encoding="base64"><![CDATA[c3ZldGF6ZW0=]]></property><property name="SESSION_MANAGER" fullname="$_SERVER[&quot;SESSION_MANAGER&quot;]" type="string" size="79" encoding="base64"><![CDATA[bG9jYWwvVGhpbmtQYWQtWDIzMDpAL3RtcC8uSUNFLXVuaXgvMTQzOCx1bml4L1RoaW5rUGFkLVgyMzA6L3RtcC8uSUNFLXVuaXgvMTQzOA==]]></property><property name="LC_PAPER" fullname="$_SERVER[&quot;LC_PAPER&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZGVfREUuVVRGLTg=]]></property><property name="LOGNAME" fullname="$_SERVER[&quot;LOGNAME&quot;]" type="string" size="8" encoding="base64"><![CDATA[c3ZldGF6ZW0=]]></property><property name="XDEBUG_CONFIG" fullname="$_SERVER[&quot;XDEBUG_CONFIG&quot;]" type="string" size="12" encoding="base64"><![CDATA[aWRla2V5PTExNzIw]]></property><property name="PWD" fullname="$_SERVER[&quot;PWD&quot;]" type="string" size="53" encoding="base64"><![CDATA[L2hvbWUvc3ZldGF6ZW0vUGhwc3Rvcm1Qcm9qZWN0cy90ZXN0X3Byb2plY3QvZGVidWdnZXI=]]></property><property name="IM_CONFIG_PHASE" fullname="$_SERVER[&quot;IM_CONFIG_PHASE&quot;]" type="string" size="1" encoding="base64"><![CDATA[Mg==]]></property><property name="LESSOPEN" fullname="$_SERVER[&quot;LESSOPEN&quot;]" type="string" size="22" encoding="base64"><![CDATA[fCAvdXNyL2Jpbi9sZXNzcGlwZSAlcw==]]></property><property name="SHELL" fullname="$_SERVER[&quot;SHELL&quot;]" type="string" size="9" encoding="base64"><![CDATA[L2Jpbi9iYXNo]]></property><property name="LC_ADDRESS" fullname="$_SERVER[&quot;LC_ADDRESS&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZGVfREUuVVRGLTg=]]></property><property name="OLDPWD" fullname="$_SERVER[&quot;OLDPWD&quot;]" type="string" size="42" encoding="base64"><![CDATA[L2hvbWUvc3ZldGF6ZW0vaWRlL2lkZWEtSVUtMTkzLjM3OTMuMTQvYmlu]]></property><property name="GNOME_DESKTOP_SESSION_ID" fullname="$_SERVER[&quot;GNOME_DESKTOP_SESSION_ID&quot;]" type="string" size="18" encoding="base64"><![CDATA[dGhpcy1pcy1kZXByZWNhdGVk]]></property><property name="GTK_MODULES" fullname="$_SERVER[&quot;GTK_MODULES&quot;]" type="string" size="15" encoding="base64"><![CDATA[Z2FpbDphdGstYnJpZGdl]]></property><property name="GNOME_TERMINAL_SCREEN" fullname="$_SERVER[&quot;GNOME_TERMINAL_SCREEN&quot;]" type="string" size="63" encoding="base64"><![CDATA[L29yZy9nbm9tZS9UZXJtaW5hbC9zY3JlZW4vYjc3NzA4NDdfYTI4Zl80NmE2XzlmYTBfZDM5YTMwMTU3NTYz]]></property><property name="CLUTTER_IM_MODULE" fullname="$_SERVER[&quot;CLUTTER_IM_MODULE&quot;]" type="string" size="3" encoding="base64"><![CDATA[eGlt]]></property><property name="TEXTDOMAIN" fullname="$_SERVER[&quot;TEXTDOMAIN&quot;]" type="string" size="9" encoding="base64"><![CDATA[aW0tY29uZmln]]></property><property name="LS_COLORS" fullname="$_SERVER[&quot;LS_COLORS&quot;]" type="string" size="1505" encoding="base64"><![CDATA[cnM9MDpkaT0wMTszNDpsbj0wMTszNjptaD0wMDpwaT00MDszMzpzbz0wMTszNTpkbz0wMTszNTpiZD00MDszMzswMTpjZD00MDszMzswMTpvcj00MDszMTswMTptaT0wMDpzdT0zNzs0MTpzZz0zMDs0MzpjYT0zMDs0MTp0dz0zMDs0Mjpvdz0zNDs0MjpzdD0zNzs0NDpleD0wMTszMjoqLnRhcj0wMTszMToqLnRnej0wMTszMToqLmFyYz0wMTszMToqLmFyaj0wMTszMToqLnRhej0wMTszMToqLmxoYT0wMTszMToqLmx6ND0wMTszMToqLmx6aD0wMTszMToqLmx6bWE9MDE7MzE6Ki50bHo9MDE7MzE6Ki50eHo9MDE7MzE6Ki50em89MDE7MzE6Ki50N3o9MDE7MzE6Ki56aXA9MDE7MzE6Ki56PTAxOzMxOiouWj0wMTszMToqLmR6PTAxOzMxOiouZ3o9MDE7MzE6Ki5scno9MDE7MzE6Ki5sej0wMTszMToqLmx6bz0wMTszMToqLnh6PTAxOzMxOiouenN0PTAxOzMxOioudHpzdD0wMTszMToqLmJ6Mj0wMTszMToqLmJ6PTAxOzMxOioudGJ6PTAxOzMxOioudGJ6Mj0wMTszMToqLnR6PTAxOzMxOiouZGViPTAxOzMxOioucnBtPTAxOzMxOiouamFyPTAxOzMxOioud2FyPTAxOzMxOiouZWFyPTAxOzMxOiouc2FyPTAxOzMxOioucmFyPTAxOzMxOiouYWx6PTAxOzMxOiouYWNlPTAxOzMxOiouem9vPTAxOzMxOiouY3Bpbz0wMTszMToqLjd6PTAxOzMxOioucno9MDE7MzE6Ki5jYWI9MDE7MzE6Ki53aW09MDE7MzE6Ki5zd209MDE7MzE6Ki5kd209MDE7MzE6Ki5lc2Q9MDE7MzE6Ki5qcGc9MDE7MzU6Ki5qcGVnPTAxOzM1OioubWpwZz0wMTszNToqLm1qcGVnPTAxOzM1OiouZ2lmPTAxOzM1OiouYm1wPTAxOzM1OioucGJtPTAxOzM1OioucGdtPTAxOzM1OioucHBtPTAxOzM1OioudGdhPTAxOzM1OioueGJtPTAxOzM1OioueHBtPTAxOzM1OioudGlmPTAxOzM1OioudGlmZj0wMTszNToqLnBuZz0wMTszNToqLnN2Zz0wMTszNToqLnN2Z3o9MDE7MzU6Ki5tbmc9MDE7MzU6Ki5wY3g9MDE7MzU6Ki5tb3Y9MDE7MzU6Ki5tcGc9MDE7MzU6Ki5tcGVnPTAxOzM1OioubTJ2PTAxOzM1OioubWt2PTAxOzM1Oioud2VibT0wMTszNQ==]]></property><property name="XDG_SESSION_DESKTOP" fullname="$_SERVER[&quot;XDG_SESSION_DESKTOP&quot;]" type="string" size="6" encoding="base64"><![CDATA[dWJ1bnR1]]></property><property name="SHLVL" fullname="$_SERVER[&quot;SHLVL&quot;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="LC_IDENTIFICATION" fullname="$_SERVER[&quot;LC_IDENTIFICATION&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZGVfREUuVVRGLTg=]]></property><property name="LC_MONETARY" fullname="$_SERVER[&quot;LC_MONETARY&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZGVfREUuVVRGLTg=]]></property><property name="LESSCLOSE" fullname="$_SERVER[&quot;LESSCLOSE&quot;]" type="string" size="23" encoding="base64"><![CDATA[L3Vzci9iaW4vbGVzc3BpcGUgJXMgJXM=]]></property><property name="QT_IM_MODULE" fullname="$_SERVER[&quot;QT_IM_MODULE&quot;]" type="string" size="3" encoding="base64"><![CDATA[eGlt]]></property><property name="TERM" fullname="$_SERVER[&quot;TERM&quot;]" type="string" size="14" encoding="base64"><![CDATA[eHRlcm0tMjU2Y29sb3I=]]></property><property name="GNOME_TERMINAL_SERVICE" fullname="$_SERVER[&quot;GNOME_TERMINAL_SERVICE&quot;]" type="string" size="5" encoding="base64"><![CDATA[OjEuNzE=]]></property><property name="XDG_CONFIG_DIRS" fullname="$_SERVER[&quot;XDG_CONFIG_DIRS&quot;]" type="string" size="28" encoding="base64"><![CDATA[L2V0Yy94ZGcveGRnLXVidW50dTovZXRjL3hkZw==]]></property><property name="LANG" fullname="$_SERVER[&quot;LANG&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="XDG_SESSION_TYPE" fullname="$_SERVER[&quot;XDG_SESSION_TYPE&quot;]" type="string" size="3" encoding="base64"><![CDATA[eDEx]]></property><property name="XDG_SESSION_ID" fullname="$_SERVER[&quot;XDG_SESSION_ID&quot;]" type="string" size="1" encoding="base64"><![CDATA[Mg==]]></property><property name="DISPLAY" fullname="$_SERVER[&quot;DISPLAY&quot;]" type="string" size="2" encoding="base64"><![CDATA[OjA=]]></property><property name="LC_NAME" fullname="$_SERVER[&quot;LC_NAME&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZGVfREUuVVRGLTg=]]></property><property name="_" fullname="$_SERVER[&quot;_&quot;]" type="string" size="9" encoding="base64"><![CDATA[Li9pZGVhLnNo]]></property><property name="DESKTOP_SESSION" fullname="$_SERVER[&quot;DESKTOP_SESSION&quot;]" type="string" size="6" encoding="base64"><![CDATA[dWJ1bnR1]]></property><property name="GPG_AGENT_INFO" fullname="$_SERVER[&quot;GPG_AGENT_INFO&quot;]" type="string" size="36" encoding="base64"><![CDATA[L3J1bi91c2VyLzEwMDAvZ251cGcvUy5ncGctYWdlbnQ6MDox]]></property><property name="USER" fullname="$_SERVER[&quot;USER&quot;]" type="string" size="8" encoding="base64"><![CDATA[c3ZldGF6ZW0=]]></property><property name="XDG_MENU_PREFIX" fullname="$_SERVER[&quot;XDG_MENU_PREFIX&quot;]" type="string" size="6" encoding="base64"><![CDATA[Z25vbWUt]]></property><property name="WINDOWPATH" fullname="$_SERVER[&quot;WINDOWPATH&quot;]" type="string" size="1" encoding="base64"><![CDATA[Mg==]]></property><property name="QT_ACCESSIBILITY" fullname="$_SERVER[&quot;QT_ACCESSIBILITY&quot;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="VTE_VERSION" fullname="$_SERVER[&quot;VTE_VERSION&quot;]" type="string" size="4" encoding="base64"><![CDATA[NTIwMg==]]></property><property name="LC_NUMERIC" fullname="$_SERVER[&quot;LC_NUMERIC&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZGVfREUuVVRGLTg=]]></property><property name="XDG_SEAT" fullname="$_SERVER[&quot;XDG_SEAT&quot;]" type="string" size="5" encoding="base64"><![CDATA[c2VhdDA=]]></property><property name="SSH_AUTH_SOCK" fullname="$_SERVER[&quot;SSH_AUTH_SOCK&quot;]" type="string" size="26" encoding="base64"><![CDATA[L3J1bi91c2VyLzEwMDAva2V5cmluZy9zc2g=]]></property><property name="GNOME_SHELL_SESSION_MODE" fullname="$_SERVER[&quot;GNOME_SHELL_SESSION_MODE&quot;]" type="string" size="6" encoding="base64"><![CDATA[dWJ1bnR1]]></property><property name="XDG_RUNTIME_DIR" fullname="$_SERVER[&quot;XDG_RUNTIME_DIR&quot;]" type="string" size="14" encoding="base64"><![CDATA[L3J1bi91c2VyLzEwMDA=]]></property><property name="XDG_VTNR" fullname="$_SERVER[&quot;XDG_VTNR&quot;]" type="string" size="1" encoding="base64"><![CDATA[Mg==]]></property><property name="HOME" fullname="$_SERVER[&quot;HOME&quot;]" type="string" size="14" encoding="base64"><![CDATA[L2hvbWUvc3ZldGF6ZW0=]]></property><property name="PHP_SELF" fullname="$_SERVER[&quot;PHP_SELF&quot;]" type="string" size="62" encoding="base64"><![CDATA[L2hvbWUvc3ZldGF6ZW0vUGhwc3Rvcm1Qcm9qZWN0cy90ZXN0X3Byb2plY3QvZGVidWdnZXIvdGVzdC5waHA=]]></property><property name="SCRIPT_NAME" fullname="$_SERVER[&quot;SCRIPT_NAME&quot;]" type="string" size="62" encoding="base64"><![CDATA[L2hvbWUvc3ZldGF6ZW0vUGhwc3Rvcm1Qcm9qZWN0cy90ZXN0X3Byb2plY3QvZGVidWdnZXIvdGVzdC5waHA=]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER[&quot;SCRIPT_FILENAME&quot;]" type="string" size="62" encoding="base64"><![CDATA[L2hvbWUvc3ZldGF6ZW0vUGhwc3Rvcm1Qcm9qZWN0cy90ZXN0X3Byb2plY3QvZGVidWdnZXIvdGVzdC5waHA=]]></property><property name="PATH_TRANSLATED" fullname="$_SERVER[&quot;PATH_TRANSLATED&quot;]" type="string" size="62" encoding="base64"><![CDATA[L2hvbWUvc3ZldGF6ZW0vUGhwc3Rvcm1Qcm9qZWN0cy90ZXN0X3Byb2plY3QvZGVidWdnZXIvdGVzdC5waHA=]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER[&quot;DOCUMENT_ROOT&quot;]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="REQUEST_TIME_FLOAT" fullname="$_SERVER[&quot;REQUEST_TIME_FLOAT&quot;]" type="float"><![CDATA[1569965825.3876]]></property><property name="REQUEST_TIME" fullname="$_SERVER[&quot;REQUEST_TIME&quot;]" type="int"><![CDATA[1569965825]]></property><property name="argv" fullname="$_SERVER[&quot;argv&quot;]" type="array" children="1" numchildren="1"></property><property name="argc" fullname="$_SERVER[&quot;argc&quot;]" type="int"><![CDATA[1]]></property></property></response>

[11934] <- context_get -i 15 -d 0 -c 2
[11934] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="15" context="2"></response>

[11934] <- eval -i 16 -- JGE=
xdebug-2.8beta2.log (30,298 bytes)   

cgsmith

2019-10-01 21:53

reporter   ~0005158

Link to JetBrains issue tracker: https://youtrack.jetbrains.com/issue/WI-48177

derick

2019-10-07 14:29

administrator   ~0005165

Fixed in GitHub for 2.8.0RC1

manzwebdesigns

2019-10-11 03:17

reporter   ~0005170

Sorry it took me so long, but it looks like it is fixed for me! Thanks so much! :D

Issue History

Date Modified Username Field Change
2019-10-01 21:41 SvetlanaZem New Issue
2019-10-01 21:41 SvetlanaZem Tag Attached: crash
2019-10-01 21:41 SvetlanaZem Tag Attached: PHPStorm
2019-10-01 21:41 SvetlanaZem File Added: xdebug-2.8beta2.log
2019-10-01 21:53 cgsmith Note Added: 0005158
2019-10-07 14:29 derick Assigned To => derick
2019-10-07 14:29 derick Status new => closed
2019-10-07 14:29 derick Resolution open => fixed
2019-10-07 14:29 derick Fixed in Version => 2.8.0dev
2019-10-07 14:29 derick Note Added: 0005165
2019-10-07 14:29 derick Target Version => 2.8.0dev
2019-10-07 14:29 derick Description Updated
2019-10-11 03:17 manzwebdesigns Note Added: 0005170
2019-10-31 10:44 derick Fixed in Version 2.8.0dev => 2.8.0
2019-12-08 07:34 derick Relationship added has duplicate 0001707
2020-03-12 16:33 derick Category Remote Debugging => Step Debugging